Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class CheckStateChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.CheckStateChangedEvent

All Implemented Interfaces:
  Serializable

public class CheckStateChangedEvent
extends EventObject

Event object describing a change to the checked state of a viewer element.

See Also:
  `ICheckStateListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CheckStateChangedEvent(ICheckable source, Object element, boolean state)` Creates a new event for the given source, element, and checked state.

Method Summary
`ICheckable` | `getCheckable()` Returns the checkable that is the source of this event.
`boolean` | `getChecked()` Returns the checked state of the element.
`Object` | `getElement()` Returns the element whose check state changed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckStateChangedEvent

    public CheckStateChangedEvent(ICheckable source,
                                  Object element,
                                  boolean state)

  Creates a new event for the given source, element, and checked state.

Parameters:
  `source` - the source
  `element` - the element
  `state` - the checked state

Method Detail

### getCheckable

    public ICheckable getCheckable()

  Returns the checkable that is the source of this event.

  Returns:
    the originating checkable

### getChecked

    public boolean getChecked()

  Returns the checked state of the element.

  Returns:
    the checked state

### getElement

    public Object getElement()

  Returns the element whose check state changed.

  Returns:
    the element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.